Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	video filter plugin API
Name:      	frei0r-plugins
Version:   	1.1.22
Release:   	3
Epoch:		1
License: 	GNU/GPL
URL:		http://www.piksel.org/frei0r
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: gavl-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: opencv-devel

%description
Frei0r is a minimalistic plugin API for video sources and filters. 
The behaviour of the effects can be controlled from the host by simple parameters. 
The intent is to solve the recurring reimplementation or adaptation issue of standard effects.


%package devel
Summary: 	%{name} development headers.
Group:     	%{group}
Requires: 	%{name} = %{epoch}:%{version}-%{release} pkg-config

%description devel

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    CFLAGS="$RPM_OPT_FLAGS"\
    --enable-static=yes \
    --datadir=%_sysconfdir \
    --disable-debug
make
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%files
%defattr(-, root, root)
%{_libdir}/frei0r-1

%files devel
%defattr(-, root, root)
%{_includedir}/frei0r.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.1.22-3
- rebuilt against opencv 2.1.0
* Tue Feb 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:1.1.22-2
- rebuilt against gavl 1.1.0
* Fri Nov 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:1.1.22-1
- Initial CCux package release
